// BaseNode.java - base interface for all NewsML objects.
// Copyright (c) 2001 by Reuters PLC
// $Id: BaseNode.java,v 1.10 2001/05/23 01:56:17 david Exp $

// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.

// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.

// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

package org.newsml.toolkit;


/**
 * Base interface for all NewsML objects.
 *
 * @author Reuters PLC
 * @version 1.0
 */
public interface BaseNode
{

    /**
     * Get the XML element name associated with the node.
     *
     * @return The XML element name associated with the node, or
     * null if there is none.
     */
    public String getXMLName ();


    /**
     * Get the NewsML session associated with the package.
     *
     * @return The session (not null).
     */
    public NewsMLSession getSession ();

}

// end of BaseNode.java
