// DefaultVocabularyFor.java - text with identifiers and origin subelements.
// Copyright (c) 2001 by Reuters PLC.
// $Id: DefaultVocabularyFor.java,v 1.7 2001/05/23 01:56:17 david Exp $

// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.

// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.

// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

package org.newsml.toolkit;


/**
 * A default vocabulary declaration.
 *
 * <p>This class represents a default vocabulary for all formal
 * names that occur in markup matching the XPath expression provided
 * by the {@link #getContext} method.</p>
 *
 * @author Reuters PLC
 * @version 1.0
 */
public interface DefaultVocabularyFor
    extends BaseNode, IdNode
{

    /**
     * Get the XPath expression to match.
     *
     * @return A relative XPath expression as a string (not null).
     */
    public abstract String getContext ();


    /**
     * Get the scheme to be applied to any matches.
     *
     * @return The scheme as a string, or null if none was provided.
     */
    public abstract String getScheme ();

}

// end of DefaultVocabularyFor.java
