// OriginText.java - text with identifiers and origin subelements.
// Copyright (c) 2001 by Reuters PLC.
// $Id: OriginText.java,v 1.7 2001/05/23 01:56:18 david Exp $

// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.

// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.

// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

package org.newsml.toolkit;


/**
 * Text with identifiers and origin subelements.
 *
 * <p>This is specialized text (possibly) containing mixed content:
 * text mixed in with Origin subelements that can be made into
 * hyperlinks.  It is still possible to treat this as simple text,
 * but this interface exposes the Origin subelements for applications
 * that need them.</p>
 *
 * @author Reuters PLC
 * @version 1.0
 */
public interface OriginText
    extends BaseNode, IdNode, LanguageNode, OriginNode
{
    // no additional methods
}

// end of OriginText.java
