// Text.java - text with identifiers.
// Copyright (c) 2001 by Reuters PLC.
// $Id: Text.java,v 1.8 2001/05/23 01:56:18 david Exp $

// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.

// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.

// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

package org.newsml.toolkit;


/**
 * Text with identifiers.
 *
 * @author Reuters PLC
 * @version 1.0
 */
public interface Text
    extends BaseNode, IdNode
{

    /**
     * Get the text value.
     *
     * @return The text value (content) as a string.
     */
    public String getValue ();


    /**
     * Override java.lang.toString().
     *
     * <p>This method is exactly identical to {@link #getValue}, and
     * is provided only for convenience.</p>
     *
     * @return The text value (content) as a string.
     */
    public String toString ();

}

// end of Text.java
