// TopicUse.java - information about where a topic is used in a document.
// Copyright (c) 2001 by Reuters PLC.
// $Id: TopicUse.java,v 1.8 2001/05/23 01:56:18 david Exp $

// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.

// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.

// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

package org.newsml.toolkit;


/**
 * Information about where a topic is used in a document.
 *
 * <p>Note that the topic use does <em>not</em> have a Duid or
 * Euid.</p>
 *
 * @author Reuters PLC
 * @version 1.0
 */
public interface TopicUse
    extends BaseNode
{

    /**
     * Get a pointer to the topic being used.
     *
     * @return The topic pointer as a string (not null).
     */
    public String getTopic ();


    /**
     * Get an XPath for the context where the topic is used.
     *
     * @return The XPath expression as a string, or null
     * if none was provided.
     */
    public String getContext ();

}

// end of TopicUse.java
