// DOMUsageRights.java - DOM implementation of UsageRights.
// Copyright (c) 2000 by Reuters PLC and Wavo Company, Inc.
// Copyright (c) 2001 by Reuters PLC.
// $Id: DOMUsageRights.java,v 1.11 2001/05/23 01:56:19 david Exp $

// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.

// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.

// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

package org.newsml.toolkit.dom;

import org.w3c.dom.Node;

import org.newsml.toolkit.AssignedOriginText;
import org.newsml.toolkit.UsageRights;


/**
 * DOM implementation of UsageRights.
 *
 * @author Reuters PLC
 * @version 1.0
 */
class DOMUsageRights
    extends DOMBaseNode
    implements UsageRights
{

    /**
     * Constructor.
     *
     * @param element The DOM node representing the usage rights.
     */
    protected DOMUsageRights (Node element, DOMNewsMLSession session)
    {
	super(element, session);
    }


    /**
     * @see UsageRights#getUsageType()
     */
    public AssignedOriginText getUsageType ()
    {
	return getDOMOriginBase("UsageType");
    }


    /**
     * @see UsageRights#getGeography()
     */
    public AssignedOriginText getGeography ()
    {
	return getDOMOriginBase("Geography");
    }


    /**
     * @see UsageRights#getRightsHolder()
     */
    public AssignedOriginText getRightsHolder ()
    {
	return getDOMOriginBase("RightsHolder");
    }


    /**
     * @see UsageRights#getLimitations()
     */
    public AssignedOriginText getLimitations ()
    {
	return getDOMOriginBase("Limitations");
    }


    /**
     * @see UsageRights#getStartDate()
     */
    public AssignedOriginText getStartDate ()
    {
	return getDOMOriginBase("StartDate");
    }


    /**
     * @see UsageRights#getEndDate()
     */
    public AssignedOriginText getEndDate ()
    {
	return getDOMOriginBase("EndDate");
    }

}

// end of DOMUsageRights.java
