// AssignedFormalNameTest.java - unit tests for AssignedFormalName

package org.newsml.toolkit.dom.unittests;

import java.io.IOException;

import junit.framework.TestCase;

import org.newsml.toolkit.AssignedFormalName;

public class AssignedFormalNameTest
    extends TestCase
{

    public AssignedFormalNameTest (String name)
    {
	super(name);
    }

    protected void setUp ()
	throws Exception
    {
	super.setUp();
	sample = SampleFactory.createNewsML().getNewsItem(0)
	    .getRootNewsComponent().getDescriptiveMetadata().getLanguage(1);
    }

    public void testAssignmentInfo ()
    {
	assertEquals(sample.getAssignedBy(), "assigned.by");
	assertEquals(sample.getImportance(), "importance");
	assertEquals(sample.getConfidence(), "confidence");
	assertEquals(sample.getHowPresent(), "how.present");
	assertEquals(sample.getAssignmentDateAndTime(), "date.and.time");
    }

    protected AssignedFormalName sample;

}

// end of AssignedFormalNameTest.java
