// AssignedOriginTextTest.java - unit tests for AssignedOriginText

package org.newsml.toolkit.dom.unittests;

import java.io.IOException;

import junit.framework.TestCase;

import org.newsml.toolkit.AssignedOriginText;

public class AssignedOriginTextTest
    extends TestCase
{

    public AssignedOriginTextTest (String name)
    {
	super(name);
    }

    protected void setUp ()
	throws Exception
    {
	super.setUp();
	sample = SampleFactory.createNewsML().getNewsItem(0)
	    .getRootNewsComponent().getRightsMetadata()
	    .getUsageRights(1).getUsageType();
    }

    public void testAssignmentInfo ()
    {
	assertEquals(sample.getAssignedBy(), "assigned-by-99");
	assertEquals(sample.getImportance(), "importance-99");
	assertEquals(sample.getConfidence(), "confidence-99");
	assertEquals(sample.getHowPresent(), "how-present-99");
	assertEquals(sample.getAssignmentDateAndTime(), "2001-01-31");
    }

    protected AssignedOriginText sample;

}

// end of AssignedOriginTextTest.java
