// CharacteristicsTest.java - unit tests for Characteristics

package org.newsml.toolkit.dom.unittests;

import junit.framework.TestCase;

import org.newsml.toolkit.Characteristics;

public class CharacteristicsTest extends TestCase
{

    public CharacteristicsTest (String name)
    {
	super(name);
    }

    protected void setUp ()
	throws Exception
    {
	super.setUp();
	sample = SampleFactory.createNewsML().getNewsItem(0)
	    .getRootNewsComponent().getMember(1).asNewsComponent()
	    .getMember(0).asContentItem().getCharacteristics();
    }

    public void testBase ()
    {
	assertEquals(sample.getXMLName(), "Characteristics");
	assertNotNull(sample.getSession());
    }

    public void testIdentifiers ()
    {
	assertEquals(sample.getDuid(), "cha01");
	assertEquals(sample.getEuid(), "id1");
    }

    public void testSizeInBytes ()
    {
	assertEquals(sample.getSizeInBytes(), 1024);
    }

    public void testProperty ()
    {
	assertEquals(sample.getPropertyCount(), 2);
        assertEquals(sample.getProperty().length, 2);
	assertNotNull(sample.getProperty(0));
	assertNotNull(sample.getProperty(1));
	assertNull(sample.getProperty(2));
    }

    private Characteristics sample;

}

// end of CharacteristicsTest.java
