// CommentTest.java - unit tests for Comment

package org.newsml.toolkit.dom.unittests;

import junit.framework.TestCase;

import org.newsml.toolkit.Comment;

public class CommentTest extends TestCase
{

    public CommentTest (String name)
    {
	super(name);
    }

    protected void setUp ()
	throws Exception
    {
	super.setUp();
	sample = SampleFactory.createNewsML().getNewsItem(0)
	    .getComment(1);
    }

    public void testBase ()
    {
	assertEquals(sample.getXMLName(), "Comment");
	assertNotNull(sample.getSession());
    }

    public void testIdentifiers ()
    {
	assertEquals(sample.getDuid(), "com01");
	assertEquals(sample.getEuid(), "id1");
    }

    public void testLanguage ()
    {
	assertEquals(sample.getLang(), "en-AU");
    }

    public void testTranslationOf ()
    {
	assertEquals(sample.getTranslationOf(), "foo");
    }

    public void testText ()
    {
	assertEquals(sample.getValue(), "comment-b");
    }

    private Comment sample;

}

// end of CommentTest.java
