// CopyrightTest.java - unit tests for Copyright

package org.newsml.toolkit.dom.unittests;

import junit.framework.TestCase;

import org.newsml.toolkit.Copyright;

public class CopyrightTest extends TestCase
{

    public CopyrightTest (String name)
    {
	super(name);
    }

    protected void setUp ()
	throws Exception
    {
	super.setUp();
	sample = SampleFactory.createNewsML().getNewsItem(0)
	    .getRootNewsComponent().getRightsMetadata().getCopyright(1);
    }

    public void testBase ()
    {
	assertEquals(sample.getXMLName(), "Copyright");
	assertNotNull(sample.getSession());
    }

    public void testIdentifiers ()
    {
	assertEquals(sample.getDuid(), "cop01");
	assertEquals(sample.getEuid(), "id1");
    }

    public void testAssignment ()
    {
	assertEquals(sample.getAssignedBy(), "assigned-by-1");
	assertEquals(sample.getConfidence(), "confidence-1");
	assertEquals(sample.getAssignmentDateAndTime(), "2000-12-31");
	assertEquals(sample.getHowPresent(), "how-present-1");
	assertEquals(sample.getImportance(), "importance-1");
    }

    public void testComment ()
    {
	assertEquals(sample.getCommentCount(), 2);
        assertEquals(sample.getComment().length, 2);
	assertNotNull(sample.getComment(0));
	assertNotNull(sample.getComment(1));
	assertNull(sample.getComment(2));
    }

    public void testCopyrightHolder ()
    {
	assertEquals(sample.getCopyrightHolder().getValue(),
		     "copyright.holder");
    }

    public void testCopyrightDate ()
    {
	assertEquals(sample.getCopyrightDate().getValue(),
		     "2000-12-31");
    }

    private Copyright sample;

}

// end of CopyrightTest.java
