// ResourceTest.java - unit tests for Resource

package org.newsml.toolkit.dom.unittests;

import junit.framework.TestCase;

import org.newsml.toolkit.Resource;

public class ResourceTest extends TestCase
{

    public ResourceTest (String name)
    {
	super(name);
    }

    protected void setUp ()
	throws Exception
    {
	super.setUp();
	sample = SampleFactory.createNewsML().getCatalog().getResource(1);
    }

    public void testBase ()
    {
	assertEquals(sample.getXMLName(), "Resource");
	assertNotNull(sample.getSession());
    }

    public void testIdentifiers ()
    {
	assertEquals(sample.getDuid(), "resource01");
	assertEquals(sample.getEuid(), "id1");
    }

    public void testUrn ()
    {
	assertEquals(sample.getUrn().getValue(), "urn:xxx:yyy");
    }

    public void testUrl ()
    {
	assertEquals(sample.getUrlCount(), 2);
        assertEquals(sample.getUrl().length, 2);
	assertEquals(sample.getUrl(0).getValue(), "#vocab.b");
	assertEquals(sample.getUrl(1).getValue(), "http://www.host.net/url-b");
	assertNull(sample.getUrl(2));
    }

    public void testDefaultVocabularyFor ()
    {
	assertEquals(sample.getDefaultVocabularyForCount(), 2);
        assertEquals(sample.getDefaultVocabularyFor().length, 2);
	assertEquals(sample.getDefaultVocabularyFor(0).getContext(),
		     "default.a");
// 	assertEquals(sample.getDefaultVocabularyFor(1).getContext(),
// 		     "Topic/TopicType");
	assertEquals(sample.getDefaultVocabularyFor(1).getScheme(),
		     "Scheme");
	assertNull(sample.getDefaultVocabularyFor(2));
    }

    private Resource sample;

}

// end of ResourceTest.java
