// SubjectCodeTest.java - unit tests for SubjectCode

package org.newsml.toolkit.dom.unittests;

import junit.framework.TestCase;

import org.newsml.toolkit.SubjectCode;

public class SubjectCodeTest extends TestCase
{

    public SubjectCodeTest (String name)
    {
	super(name);
    }

    protected void setUp ()
	throws Exception
    {
	super.setUp();
	sample = SampleFactory.createNewsML().getNewsItem(0)
	    .getRootNewsComponent().getDescriptiveMetadata().getSubjectCode(1);
    }

    public void testBase ()
    {
	assertEquals(sample.getXMLName(), "SubjectCode");
	assertNotNull(sample.getSession());
    }

    public void testIdentifiers ()
    {
	assertEquals(sample.getDuid(), "subjectcode01");
	assertEquals(sample.getEuid(), "id1");
    }

    public void testAssignment ()
    {
	assertEquals(sample.getAssignedBy(), "assigned-by-5");
	assertEquals(sample.getConfidence(), "confidence-5");
	assertEquals(sample.getAssignmentDateAndTime(), "2000-12-27");
	assertEquals(sample.getHowPresent(), "how-present-5");
	assertEquals(sample.getImportance(), "importance-5");
    }

    public void testItem ()
    {
	assertEquals(sample.getItemCount(), 6);
	assertNotNull(sample.getItem(0));
	assertNotNull(sample.getItem(1));
	assertNotNull(sample.getItem(2));
	assertNotNull(sample.getItem(3));
	assertNotNull(sample.getItem(4));
	assertNotNull(sample.getItem(5));
	assertNull(sample.getItem(6));
    }

    private SubjectCode sample;

}

// end of SubjectCodeTest.java
