// TextTest.java - unit tests for Text

package org.newsml.toolkit.dom.unittests;

import junit.framework.TestCase;

import org.newsml.toolkit.Text;

public class TextTest extends TestCase
{

    public TextTest (String name)
    {
	super(name);
    }

    protected void setUp ()
	throws Exception
    {
	super.setUp();
	sample = SampleFactory.createNewsML().getCatalog().getResource(1)
	    .getUrn();
    }

    public void testBase ()
    {
	assertEquals(sample.getXMLName(), "Urn");
	assertNotNull(sample.getSession());
    }

    public void testIdentifiers ()
    {
	assertEquals(sample.getDuid(), "urn01");
	assertEquals(sample.getEuid(), "id1");
    }

    public void testValue ()
    {
	assertEquals(sample.getValue(), "urn:xxx:yyy");
    }

    public void testToString ()
    {
	assertEquals(sample.toString(), "urn:xxx:yyy");
    }

    private Text sample;

}

// end of TextTest.java
