// TopicSetTest.java - unit tests for TopicSet

package org.newsml.toolkit.dom.unittests;

import junit.framework.TestCase;

import org.newsml.toolkit.TopicSet;

public class TopicSetTest extends TestCase
{

    public TopicSetTest (String name)
    {
	super(name);
    }

    protected void setUp ()
	throws Exception
    {
	super.setUp();
	sample = SampleFactory.createNewsML().getTopicSet(1);
    }

    public void testBase ()
    {
	assertEquals(sample.getXMLName(), "TopicSet");
	assertNotNull(sample.getSession());
    }

    public void testIdentifiers ()
    {
	assertEquals(sample.getDuid(), "vocab.a");
	assertEquals(sample.getEuid(), "id1");
    }

    public void testFormalName ()
    {
	assertEquals(sample.getName(), "topicset.e");
    }

    public void testComment ()
    {
	assertEquals(sample.getCommentCount(), 2);
        assertEquals(sample.getComment().length, 2);
	assertNotNull(sample.getComment(0));
	assertNotNull(sample.getComment(1));
	assertNull(sample.getComment(2));
    }

    public void testCatalog ()
    {
	assertNotNull(sample.getCatalog());
    }

    public void testTopicSetRef ()
    {
	assertEquals(sample.getTopicSetRefCount(), 2);
        assertEquals(sample.getTopicSetRef().length, 2);
	assertEquals(sample.getTopicSetRef(0).getRef(), "topicset.a");
	assertEquals(sample.getTopicSetRef(1).getRef(), "topicset.b");
	assertNull(sample.getTopicSetRef(2));
    }

    public void testTopic ()
    {
	assertEquals(sample.getTopicCount(), 2);
        assertEquals(sample.getTopic().length, 2);
	assertNotNull(sample.getTopic(0));
	assertNotNull(sample.getTopic(1));
	assertNull(sample.getTopic(2));
    }

    private TopicSet sample;

}

// end of TopicSetTest.java
