// UsageRightsTest.java - unit tests for UsageRights

package org.newsml.toolkit.dom.unittests;

import junit.framework.TestCase;

import org.newsml.toolkit.UsageRights;

public class UsageRightsTest extends TestCase
{

    public UsageRightsTest (String name)
    {
	super(name);
    }

    protected void setUp ()
	throws Exception
    {
	super.setUp();
	sample = SampleFactory.createNewsML().getNewsItem(0)
	    .getRootNewsComponent().getRightsMetadata().getUsageRights(1);
    }

    public void testBase ()
    {
	assertEquals(sample.getXMLName(), "UsageRights");
	assertNotNull(sample.getSession());
    }

    public void testIdentifiers ()
    {
	assertEquals(sample.getDuid(), "usagerights01");
	assertEquals(sample.getEuid(), "id1");
    }

    public void testAssignment ()
    {
	assertEquals(sample.getAssignedBy(), "assigned-by-6");
	assertEquals(sample.getConfidence(), "confidence-6");
	assertEquals(sample.getAssignmentDateAndTime(), "2000-12-26");
	assertEquals(sample.getHowPresent(), "how-present-6");
	assertEquals(sample.getImportance(), "importance-6");
    }

    public void testUsageType ()
    {
	assertEquals(sample.getUsageType().getValue(), "usage.a");
    }

    public void testGeography ()
    {
	assertEquals(sample.getGeography().getValue(), "geography.a");
    }

    public void testRightsHolder ()
    {
	assertEquals(sample.getRightsHolder().getValue(), "holder.a");
    }

    public void testLimitations ()
    {
	assertEquals(sample.getLimitations().getValue(), "limitations.a");
    }

    public void testStartDate ()
    {
	assertEquals(sample.getStartDate().getValue(), "20001231");
    }

    public void testEndDate ()
    {
	assertEquals(sample.getEndDate().getValue(), "20010106");
    }

    private UsageRights sample;

}

// end of UsageRightsTest.java
